
// RGB-HistogramDlg.h : 헤더 파일
//

#pragma once


// CRGBHistogramDlg 대화 상자
class CRGBHistogramDlg : public CDialogEx
{
// 생성입니다.
public:
	CRGBHistogramDlg(CWnd* pParent = NULL);	// 표준 생성자입니다.

// 대화 상자 데이터입니다.
	enum { IDD = IDD_RGBHISTOGRAM_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 지원입니다.

	HBITMAP m_hBitMap;
	unsigned int m_Red[256];
	unsigned int m_Green[256];
	unsigned int m_Blue[256];

// 구현입니다.
protected:
	HICON m_hIcon;

	// 생성된 메시지 맵 함수
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedRadio1();
	afx_msg void OnBnClickedRadio2();

	DECLARE_MESSAGE_MAP()
public:
	void DrawGraph(int x, int y, unsigned int data[], const COLORREF rgb);
	void PrintHistogram();
	void DrawThumbnail();
	void Reload();
	void InitData();
};
